version: "3.7"

services:
  exchange-chatbot:
    build:
      context: .
    ports:
      - 8000:8000
    volumes:
      - ./faiss-index:/faiss-index
      - ./record-manager:/record-manager
    environment:
      - OPENAI_API_KEY=${OPENAI_API_KEY}
      - FAISS_INDEX_PATH=/faiss-index
      - RECORD_MANAGER_PATH=/record-manager
      - EXCHANGE_API_BASE=http://exchange-backend:3000/api/v1
